Subject: Re: [PATCH ethtool] ethtool: Add support for WAKE_FILTER

From: Andrew Lunn <[email-masked]>
Date: Tue, 31 Jul 2018 00:55:42 +0200

> The thing is that I need this now, but when Michal's work on ethtool
> being migrated to netlink settles, we should have have any issues adding
> a proper storage area for specifying filters anymore. The issue here is
> of course that the size and layout of ethtool_wolinfo is largely fixed
> and set in stone, and therefore inflexible.

The version in uapi/linux/ethtool.h is fixed. But i think in order to
implement this properly, you are going to have to change the internal
structure passed to ethtool_ops->set_wol/get_wol, with the filter
separated out from the sopass. ethtool_set_wol()/ethtool_get_wol()
would then need to know how to correctly unpack the structure passed
in the ioctl, where as the netlink socket code and just put attributes
into structure members.

     Andrew